"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var os = require("os");
var ts_generator_1 = require("./ts-generator");
var ts_generator_2 = require("./ts-generator");
exports.format = ts_generator_2.format;
function generate(args) {
    var files = args.types.map(function (type) {
        var code = "\n    import { I" + type.name + " } from '[TEMPLATE-INTERFACES-PATH]'\n    import { Types } from './types'\n    " + Array.from(new Set(type.fields
            .filter(function (field) { return !args.enums.some(function (e) { return e.name === field.type.name; }); })
            .filter(function (field) { return !args.unions.some(function (u) { return u.name === field.type.name; }); })
            .filter(function (field) { return !ts_generator_1.isScalar(field.type.name); })
            .map(function (field) { return "import { " + field.type.name + "Root } from './" + field.type.name + "'\n  "; }))).join(";") + "\n      " + args.unions
            .filter(function (u) { return type.fields.map(function (f) { return f.type.name; }).indexOf(u.name) > -1; })
            .map(function (u) { return u.types
            .map(function (type) { return "import { " + type.name + "Root } from './" + type.name + "'"; })
            .join(";") + "\n        \n            export type " + u.name + "Root = " + u.types
            .map(function (type) { return type.name + "Root"; })
            .join("|") + "\n        "; })
            .join(os.EOL) + "\n\n        " + args.enums
            .filter(function (e) { return type.fields.map(function (f) { return f.type.name; }).indexOf(e.name) > -1; })
            .map(function (e) { return "\n        export type " + e.name + "Root = " + e.values.map(function (v) { return "\"" + v + "\""; }).join("|") + "\n        "; })
            .join(os.EOL) + "\n\n    export interface " + type.name + "Root {\n      " + type.fields
            .map(function (field) { return "\n      " + field.name + ": " + ts_generator_1.printFieldLikeType(field, false) + "\n      "; })
            .join(";") + "\n    }\n\n    export const " + type.name + ": I" + type.name + ".Resolver<Types> = {\n      " + type.fields.map(function (field) { return "\n        " + field.name + ": (root" + (field.arguments.length > 0 ? ", args" : "") + ") => root." + field.name + "\n      "; }) + "\n    }\n    ";
        return {
            path: type.name + ".ts",
            code: code
        };
    });
    files.push({
        path: "Context.ts",
        code: "\n    export interface Context {\n      db: any\n      request: any\n    }\n    "
    });
    files.push({
        path: "types.ts",
        code: "\nimport { ITypes } from '[TEMPLATE-INTERFACES-PATH]'\n\n" + args.types
            .map(function (type) { return "\nimport { " + type.name + "Root } from './" + type.name + "'\n"; })
            .join(os.EOL) + "\n\nexport { Context } from './Context'\n\nexport interface Types extends ITypes {\n  Context: Context\n  " + args.types
            .map(function (type) { return "\n" + type.name + "Root: " + type.name + "Root\n"; })
            .join(";") + "\n}\n    "
    });
    return files;
}
exports.generate = generate;
//# sourceMappingURL=ts-scaffolder.js.map